DROP SEQUENCE(7)

NAME
DROP SEQUENCE - remove a sequence

SYNOPSIS

DROP SEQUENCE name [, ...]

  INPUTS

name
    The name of a sequence.

  OUTPUTS

DROP
    The message returned if the sequence is successfully dropped.

ERROR: sequence "name" does not exist
    This message occurs if the specified sequence does not exist.

DESCRIPTION

DROP SEQUENCE removes sequence number generators from the data base. With the current implementation of sequences as special tables it works just like the DROP TABLE statement.

  NOTES

The DROP SEQUENCE statement is a PostgreSQL language extension.

Refer to the CREATE SEQUENCE statement for information on how to create a sequence.

USAGE

To remove sequence serial from database:

DROP SEQUENCE serial;

COMPATIBILITY

  SQL92

There is no DROP SEQUENCE in SQL92.